package uk.co.beercave.gunboat.entities;

import uk.co.beercave.gunboat.ResourceManager;
import uk.co.beercave.gunboat.renderers.SeaRenderer;
import uk.co.beercave.gunboat.renderers.SeaRenderer.Renderable;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.utils.Pool.Poolable;

public class Effect extends GameObject implements Poolable {

	public float dt;
	public float t;
	public float life;
	private Color color = new Color();
	public Renderable sprite;
	public float ds;
	public float dx;

	public void init() {
//		Gdx.app.log("EFFECT", "initialising");
		alive = true;
		dt = 0;
		dx = 0;
		life = .5f;
		sprite = SeaRenderer.newSprite();
		sprite.tx = ResourceManager.octostar;
		sprite.color = color;
		sprite.parent = this;
	}


	@Override
	public void reset() {
		SeaRenderer.releaseSprite(sprite);
	}
}
